View Issue Details

IDProjectCategoryView StatusLast Update
0001218Производство[All Projects] Generalpublic2019-01-28 18:03
ReporterruslanAssigned Tobarry 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Summary0001218: +Производство-Заказы-Форма списания возвратного акта- При сохранении Документа созданного из Раскроя-Сформировать возвратный акт
DescriptionВозникает такая ошибка...при попытке ПЕРЕСОХРАНИТЬ созданный возвратный акт в тестовой базе не воспроизводиться пока
Произошла ошибка:
Could not convert variant of type (Null) into type (Integer)

Производство
Application.MainForm: FormWork(TFormWork) XE2 Производство: OLIMP-2015 (ОЛІМП) [Разработчик системы]
ActiveForm: ZakazDtForm(TZakazDtForm) Возвратные Акты
ActiveCustomForm: ZakazDtForm(TZakazDtForm) Возвратные Акты
Qw.SQL.Text = <<
update DGVDT set DAT_ = :dat_, NBR = :nbr, VL1=:VL1, VL2=:VL2,
REALTYP=:RealTyp, PROCNDS = :ProcNds, DCRDNBR=:DCRDNBR,
OUT_DATE=:Out_Date, TYP=:Typ, OrgnInfoID=:OrgnInfoID,
USERNAME=:UserName, MANAGER=:Manager, StorOut=:StorOut, StorMod=:StorMod,
NDSTYP=:NdsTyp, NAMEID=:NAMEID, STORID=:STORID, TRDPID=:TRDPID,
COMMENT=:COMMENT, OPERID=:OPERID, CSDTKTHBID=:CSDTKTHBID,
PODRID=:PODRID, PRSNID=:PRSNID, StorSub = :StorSub, State=:State,
SALEFORM=:SALEFORM, SALECOND=:SALECOND, SUBSCRIBE=:SUBSCRIBE,
RNBR=:RNBR, NNBR=:NNBR, NDATE=:NDATE, DNBR=:DNBR, DDATE=:DDATE,DLASTDATE=:DLASTDATE,
SNAMEID=:SNAMEID, OURACCNID=:OURACCNID, ACCNORGID=:ACCNORGID,
CURRTYP=:CURRTYP, CURS=:CURS,DPRSN=:DPRSN,DDOC=:DDOC, Transfer=:Transfer,
SkidkaTyp = :SkidkaTyp, SkidkaProc = :SkidkaProc, SkidkaSumma = :SkidkaSumma,
CODE=:CODE, EGRNN=:EGRNN, ROUNDNDS=:ROUNDNDS,
TRANSORGNID=:TRANSORGNID, DRIVER_NAME=:DRIVER_NAME,
TRANSDOCNBR=:TRANSDOCNBR, TRANSSUMMA=:TRANSSUMMA, DRDOCNBR=:DRDOCNBR,
VEHICLE_NAME=:VEHICLE_NAME, VEHICLE1_NAME=:VEHICLE1_NAME, VEHICLE2_NAME=:VEHICLE2_NAME,
VEHICLE_NBR=:VEHICLE_NBR, VEHICLE1_NBR=:VEHICLE1_NBR, VEHICLE2_NBR=:VEHICLE2_NBR,
KNNNBR=:KNNNBR, KNNDATE=:KNNDATE, KEGRNN=:KEGRNN, BONUSPROC=:BONUSPROC
where ID=:ID
>>
TagsNo tags attached.

Relationships

related to 0001172 closedbarry Склад +Склад-Форма Расходной накладной-Разрешить изменение привязки к Производственному заказу для Внутренних передач-комплектация 

Activities

ruslan

2018-01-23 19:18

manager   ~0003163

Last edited: 2018-01-23 20:19

View 3 revisions

1. В старой версии сохраняет без проблем :-(
2. Проблема в сохранении документа Возвратный Акт в Производстве связана с Привязкой документа к заказу и фильтру по Заказам в датасете Заказ на закладке Дополнительно Формы. В возвратном Акте - subtyp=2 фильтр по Заказм должен переключаться на Склад Источник(потому что это Производственный цех), а в Накладных на комплектацию - subtyp=3 по Складу Получателю.

ruslan

2018-01-23 19:50

manager  

barry

2018-01-24 11:17

administrator   ~0003167

work32.zip

Issue History

Date Modified Username Field Change
2018-01-23 18:53 ruslan New Issue
2018-01-23 18:54 ruslan Description Updated View Revisions
2018-01-23 19:18 ruslan Note Added: 0003163
2018-01-23 19:32 ruslan Note Edited: 0003163 View Revisions
2018-01-23 19:50 ruslan File Added: При пересохранении возвратного акта.jpg
2018-01-23 20:19 ruslan Note Edited: 0003163 View Revisions
2018-01-24 11:16 barry Relationship added related to 0001172
2018-01-24 11:17 barry Note Added: 0003167
2018-01-24 11:17 barry Status new => resolved
2018-01-24 11:17 barry Resolution open => fixed
2018-01-24 11:17 barry Assigned To => barry
2019-01-28 18:03 ruslan Status resolved => closed